complexType "PositionsMatchResults"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, parentCorrelationId?, correlationId?, sequenceNumber??, onBehalfOf[0..4]?, portfolio?, positionMatchResult*, matchCompleted?, party*, account*
</...>

Content Model Elements (11):

  account, correlationId, header (defined in ResponseMessage complexType), matchCompleted, onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), portfolio (in positionsMatchResults), positionMatchResult, sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  positionsMatchResults

Known Usage Locations

- As direct type of elements (1):
  positionsMatchResults

Annotation
Reports the results of the portfolio reconciliation operation. It states the matching results for multiple positions, supporting the match, mismatched, unmatched and alleged position results.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) PositionsMatchResults

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="PositionsMatchResults"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="portfolio" type="PortfolioDefinition"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="positionMatchResult" type="PositionMatchResult"/> <xsd:element minOccurs="0" name="matchCompleted" type="xsd:boolean"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/11)
matchCompleted

  Type: | xsd:boolean, predefined, simple content

  Flag indicating whether the Matching Service has finished sending all matching results.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="matchCompleted" type="xsd:boolean"/>

portfolio

  Type: | PortfolioDefinition, complex content

  Contains the portfolio definition.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="portfolio" type="PortfolioDefinition"/>

positionMatchResult

  Type: | PositionMatchResult, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="positionMatchResult" type="PositionMatchResult"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.